\_U\_DYN\_CANCEL(3)

NAME
_U_dyn_cancel -- cancel unwind-info for dynamically generated code

SYNOPSIS

#include <libunwind.h>

void _U_dyn_cancel(unw_dyn_info_t *di);

DESCRIPTION

The _U_dyn_cancel() routine cancels the registration of the unwind-info for a dynamically generated procedure. Argument di is the pointer to the unw_dyn_info_t structure that describes the procedure's unwind-info.

The _U_dyn_cancel() routine is guaranteed to execute in constant time (in the absence of contention from concurrent calls to _U_dyn_register() or _U_dyn_cancel()).

THREAD AND SIGNAL SAFETY

_U_dyn_cancel() is thread-safe but not safe to use from a signal handler.

SEE ALSO

libunwind-dynamic(3), _U_dyn_register(3)

AUTHOR

David Mosberger-Tang
Email: dmosberger@gmail.com
WWW: http://www.nongnu.org/libunwind/.